| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.registers.mre2_registers.MRE2MiscFeatures Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2MiscFeatures:

## Public Member Functions
| __init__ (self, board=None)
| GetScutiLED (self)
| SetScutiLED (self, value)
| DisableProxyClock (self)
| EnableProxyClock (self)
| EnableCPULED (self)
| DisableCPULED (self)
| DumpFPGAMappedMemory (self)
| DumpEEPROMMappedMemory (self)
| GetFPGAStatusRegister (self)

## Public Attributes
| sys_id
| scuti_led
| disable_proxy_clock
| enable_proxy_clock
| enable_cpu_led
| disable_cpu_led
| dump_fpga_mapped_memory
| dump_eeprom_mapped_memory
| get_fpga_status_register
| name

## Protected Attributes
| _readonly

## Detailed Description

    Device Functionality - Misc
    System ID: 0x25

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | scuti_led                 | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_proxy_clock       | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | ensable_proxy_clock       | 0x02 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | enable_cpu_led            | 0x03 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_cpu_led           | 0x04 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_fpga_mapped_memory   | 0x05 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_eeprom_mapped_memory | 0x06 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | get_fpga_status_register  | 0x07 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ DisableCPULED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DisableCPULED | ( |  | self | ) |

## ◆ DisableProxyClock()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DisableProxyClock | ( |  | self | ) |

## ◆ DumpEEPROMMappedMemory()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DumpEEPROMMappedMemory | ( |  | self | ) |

## ◆ DumpFPGAMappedMemory()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.DumpFPGAMappedMemory | ( |  | self | ) |

## ◆ EnableCPULED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.EnableCPULED | ( |  | self | ) |

## ◆ EnableProxyClock()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.EnableProxyClock | ( |  | self | ) |

## ◆ GetFPGAStatusRegister()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.GetFPGAStatusRegister | ( |  | self | ) |

## ◆ GetScutiLED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.GetScutiLED | ( |  | self | ) |

## ◆ SetScutiLED()

optoMDC.registers.mre2_registers.MRE2MiscFeatures.SetScutiLED | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

optoMDC.registers.mre2_registers.MRE2MiscFeatures._readonly
| protected

## ◆ disable_cpu_led

optoMDC.registers.mre2_registers.MRE2MiscFeatures.disable_cpu_led

## ◆ disable_proxy_clock

optoMDC.registers.mre2_registers.MRE2MiscFeatures.disable_proxy_clock

## ◆ dump_eeprom_mapped_memory

optoMDC.registers.mre2_registers.MRE2MiscFeatures.dump_eeprom_mapped_memory

## ◆ dump_fpga_mapped_memory

optoMDC.registers.mre2_registers.MRE2MiscFeatures.dump_fpga_mapped_memory

## ◆ enable_cpu_led

optoMDC.registers.mre2_registers.MRE2MiscFeatures.enable_cpu_led

## ◆ enable_proxy_clock

optoMDC.registers.mre2_registers.MRE2MiscFeatures.enable_proxy_clock

## ◆ get_fpga_status_register

optoMDC.registers.mre2_registers.MRE2MiscFeatures.get_fpga_status_register

## ◆ name

optoMDC.registers.mre2_registers.MRE2MiscFeatures.name

## ◆ scuti_led

optoMDC.registers.mre2_registers.MRE2MiscFeatures.scuti_led

## ◆ sys_id

optoMDC.registers.mre2_registers.MRE2MiscFeatures.sys_id

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py